#include<stdio.h>
#include<math.h>
main()
{
//n - broj komsija , x - pozicija miloseve kuce
int n,x,i,k=0;
scanf("%d %d",&n,&x);
int a[n];
for(i=0;i<n;i++)
scanf("%d",&a[i]);

for(i=0;i<n;i++)
{
	k=k+abs(x-a[i]);
	x=a[i];
}

printf("%d",k);
}